Bug 784811 - Error window (Traceback) when changing iconset (gajim 0.15-0.2.beta3)
Summary: Error window (Traceback) when changing iconset (gajim 0.15-0.2.beta3)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gajim
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Michal Schmidt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-26 10:38 UTC by Štefan Gurský
Modified: 2012-03-26 17:56 UTC (History)
1 user (show)

Fixed In Version: gajim-0.15-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-26 03:59:01 UTC
Type: ---


Attachments (Terms of Use)

Description Štefan Gurský 2012-01-26 10:38:05 UTC
Sometimes* I get several windows with the following error message:

Traceback (most recent call last):
  File "/usr/share/gajim/src/roster_window.py", line 1658, in _compareIters
    name2 = model[iter2][C_JID].decode('utf-8')
AttributeError: 'NoneType' object has no attribute 'decode'

* One sure way to get this error is to change iconset used by gajim.

The upstream bug is https://trac.gajim.org/ticket/7062 and what I believe is the fix is at https://trac.gajim.org/changeset/13541/

Version-Release number of selected component (if applicable):

Version     : 0.15
Release     : 0.2.beta3.fc16

Comment 1 Michal Schmidt 2012-01-26 11:16:36 UTC
Looks like it should be fixed in beta4. I'll update the package in updates-testing as soon as I'm finished with more urgent stuff.

Comment 2 Fedora Update System 2012-01-27 11:29:40 UTC
gajim-0.15-0.4.beta4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2011-15286/gajim-0.15-0.4.beta4.fc16

Comment 3 Fedora Update System 2012-01-28 03:29:07 UTC
Package gajim-0.15-0.4.beta4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gajim-0.15-0.4.beta4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15286/gajim-0.15-0.4.beta4.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-03-21 02:36:34 UTC
Package gajim-0.15-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gajim-0.15-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15286/gajim-0.15-1.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-03-26 03:59:01 UTC
gajim-0.15-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2012-03-26 17:56:34 UTC
gajim-0.15-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.